DEVICE_GET_DEVCLASS(9)

NAME
device_get_devclass - access the devclass of a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
devclass_t
device_get_devclass(device_t dev);

DESCRIPTION
The current devclass associated with the device is returned. If the device has no devclass, NULL is returned.

SEE ALSO
devclass(9), device(9)

AUTHORS
This manual page was written by Doug Rabson.